<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: cc_pre_flamelets Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">cc_pre_flamelets Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:abb0c45a0ed37f0d8560b19fe426daa7d"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecc__pre__flamelets.html#abb0c45a0ed37f0d8560b19fe426daa7d">loop_premixed</a></td></tr>
<tr class="separator:abb0c45a0ed37f0d8560b19fe426daa7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4822a1ab31722db4950673576cc817b5"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecc__pre__flamelets.html#a4822a1ab31722db4950673576cc817b5">calcexhaustgas</a> (curPhi)</td></tr>
<tr class="separator:a4822a1ab31722db4950673576cc817b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f82066bdf91ec89b53235e158489c7c"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecc__pre__flamelets.html#a2f82066bdf91ec89b53235e158489c7c">calcinitialmixture</a> (curPhi, curEGR)</td></tr>
<tr class="separator:a2f82066bdf91ec89b53235e158489c7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac96a67ad06f796521094dd7c468f9103"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecc__pre__flamelets.html#ac96a67ad06f796521094dd7c468f9103">printfminput</a> (curEGR, curPhi, curTu, curP, curRunDir, curInputFile)</td></tr>
<tr class="separator:ac96a67ad06f796521094dd7c468f9103"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f86201e7273e21b78ec9eceb1d0de3d"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecc__pre__flamelets.html#a4f86201e7273e21b78ec9eceb1d0de3d">printglobalreaction</a></td></tr>
<tr class="separator:a4f86201e7273e21b78ec9eceb1d0de3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a149c8130c74bdf48263bfd8ebcd05415"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecc__pre__flamelets.html#a149c8130c74bdf48263bfd8ebcd05415">findstartprofile</a> (data_in, files_in, curPhi, curEGR, curTu, curP, startProfile)</td></tr>
<tr class="separator:a149c8130c74bdf48263bfd8ebcd05415"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fe3f92fd00bbc6b098b62c07ff4b2d0"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecc__pre__flamelets.html#a1fe3f92fd00bbc6b098b62c07ff4b2d0">resize_data</a> (data_in, files, curPhi, curEGR, curTu, curP, curFile)</td></tr>
<tr class="separator:a1fe3f92fd00bbc6b098b62c07ff4b2d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7bd6c1e24a6641ec777cbcda81e19b3"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecc__pre__flamelets.html#ab7bd6c1e24a6641ec777cbcda81e19b3">readallprofiles</a> (data_in, files)</td></tr>
<tr class="separator:ab7bd6c1e24a6641ec777cbcda81e19b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a076045c2ce625abb9209f2eb6e9eb05e"><td class="memItemLeft" align="right" valign="top">character(len=str_long)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecc__pre__flamelets.html#a076045c2ce625abb9209f2eb6e9eb05e">globalreaction</a></td></tr>
<tr class="separator:a076045c2ce625abb9209f2eb6e9eb05e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a4822a1ab31722db4950673576cc817b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4822a1ab31722db4950673576cc817b5">&#9670;&nbsp;</a></span>calcexhaustgas()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine cc_pre_flamelets::calcexhaustgas </td>
          <td>(</td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curPhi</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacecc__init__runfm.html#a1081d7633c1fc1f4d637735a6aa19e10">cc_init_runfm::natomsinspecies</a>, <a class="el" href="namespacecc__init__runfm.html#a4385e887b1e4050e53d7ed9f264ba872">cc_init_runfm::nspecies</a>, and <a class="el" href="namespacecc__init__runfm.html#a0d8349d9086680792af136386c3d6703">cc_init_runfm::x_1</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecc__pre__flamelets_a4822a1ab31722db4950673576cc817b5_icgraph.png" border="0" usemap="#namespacecc__pre__flamelets_a4822a1ab31722db4950673576cc817b5_icgraph" alt=""/></div>
<map name="namespacecc__pre__flamelets_a4822a1ab31722db4950673576cc817b5_icgraph" id="namespacecc__pre__flamelets_a4822a1ab31722db4950673576cc817b5_icgraph">
<area shape="rect" id="node2" href="namespacecc__pre__flamelets.html#abb0c45a0ed37f0d8560b19fe426daa7d" title="cc_pre_flamelets::loop\l_premixed" alt="" coords="273,5,427,47"/>
</map>
</div>

</div>
</div>
<a id="a2f82066bdf91ec89b53235e158489c7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f82066bdf91ec89b53235e158489c7c">&#9670;&nbsp;</a></span>calcinitialmixture()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine cc_pre_flamelets::calcinitialmixture </td>
          <td>(</td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curPhi</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curEGR</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacecc__init__runfm.html#abbe07cfecdce644d3c5a558a5995a49b">cc_init_runfm::allspecies</a>, <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>, <a class="el" href="namespacecc__init__runfm.html#af3d380e7b3076f7032ecba9dd3659272">cc_init_runfm::lst</a>, <a class="el" href="namespacecc__init__runfm.html#a55d71b087c4eec0c866104badb3192cb">cc_init_runfm::mw_0</a>, <a class="el" href="namespacecc__init__runfm.html#a8706da92c991ee9b38ad36c39655fe2e">cc_init_runfm::mw_1</a>, <a class="el" href="namespacecc__init__runfm.html#a4385e887b1e4050e53d7ed9f264ba872">cc_init_runfm::nspecies</a>, <a class="el" href="namespacecc__init__runfm.html#a5543e493fa7c1fd96a88c8ba0ef18085">cc_init_runfm::x_0</a>, <a class="el" href="namespacecc__init__runfm.html#a0d8349d9086680792af136386c3d6703">cc_init_runfm::x_1</a>, <a class="el" href="namespacecc__init__runfm.html#a21738d8405a89232bfa6645482c753bb">cc_init_runfm::x_bu</a>, and <a class="el" href="namespacecc__init__runfm.html#a8e93828093f91b33fd8e25d0e961aa64">cc_init_runfm::x_un</a>.</p>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecc__pre__flamelets_a2f82066bdf91ec89b53235e158489c7c_cgraph.png" border="0" usemap="#namespacecc__pre__flamelets_a2f82066bdf91ec89b53235e158489c7c_cgraph" alt=""/></div>
<map name="namespacecc__pre__flamelets_a2f82066bdf91ec89b53235e158489c7c_cgraph" id="namespacecc__pre__flamelets_a2f82066bdf91ec89b53235e158489c7c_cgraph">
<area shape="rect" id="node2" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="280,13,376,39"/>
<area shape="rect" id="node3" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="424,5,555,47"/>
</map>
</div>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecc__pre__flamelets_a2f82066bdf91ec89b53235e158489c7c_icgraph.png" border="0" usemap="#namespacecc__pre__flamelets_a2f82066bdf91ec89b53235e158489c7c_icgraph" alt=""/></div>
<map name="namespacecc__pre__flamelets_a2f82066bdf91ec89b53235e158489c7c_icgraph" id="namespacecc__pre__flamelets_a2f82066bdf91ec89b53235e158489c7c_icgraph">
<area shape="rect" id="node2" href="namespacecc__pre__flamelets.html#abb0c45a0ed37f0d8560b19fe426daa7d" title="cc_pre_flamelets::loop\l_premixed" alt="" coords="280,5,433,47"/>
</map>
</div>

</div>
</div>
<a id="a149c8130c74bdf48263bfd8ebcd05415"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a149c8130c74bdf48263bfd8ebcd05415">&#9670;&nbsp;</a></span>findstartprofile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine cc_pre_flamelets::findstartprofile </td>
          <td>(</td>
          <td class="paramtype">real(wp), dimension(:,:), intent(in), allocatable&#160;</td>
          <td class="paramname"><em>data_in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), dimension(:), intent(in), allocatable&#160;</td>
          <td class="paramname"><em>files_in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curPhi</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curEGR</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curTu</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curP</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(inout)&#160;</td>
          <td class="paramname"><em>startProfile</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceprecision.html#ac401a03c3988b013215283fff6741c6b">precision::wp</a>.</p>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecc__pre__flamelets_a149c8130c74bdf48263bfd8ebcd05415_icgraph.png" border="0" usemap="#namespacecc__pre__flamelets_a149c8130c74bdf48263bfd8ebcd05415_icgraph" alt=""/></div>
<map name="namespacecc__pre__flamelets_a149c8130c74bdf48263bfd8ebcd05415_icgraph" id="namespacecc__pre__flamelets_a149c8130c74bdf48263bfd8ebcd05415_icgraph">
<area shape="rect" id="node2" href="namespacecc__pre__flamelets.html#abb0c45a0ed37f0d8560b19fe426daa7d" title="cc_pre_flamelets::loop\l_premixed" alt="" coords="264,5,417,47"/>
</map>
</div>

</div>
</div>
<a id="abb0c45a0ed37f0d8560b19fe426daa7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb0c45a0ed37f0d8560b19fe426daa7d">&#9670;&nbsp;</a></span>loop_premixed()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine cc_pre_flamelets::loop_premixed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacecc__pre__flamelets.html#a4822a1ab31722db4950673576cc817b5">calcexhaustgas()</a>, <a class="el" href="namespacecc__pre__flamelets.html#a2f82066bdf91ec89b53235e158489c7c">calcinitialmixture()</a>, <a class="el" href="namespacecc__init__runfm.html#a6f02e84d4e77402d323862d348f4fb9a">cc_init_runfm::egr</a>, <a class="el" href="namespacecc__pre__flamelets.html#a149c8130c74bdf48263bfd8ebcd05415">findstartprofile()</a>, <a class="el" href="namespacecc__init__runfm.html#ae4b54744add01394d7ae7d517939017e">cc_init_runfm::flamemaster</a>, <a class="el" href="cc__pre__flamelets_8f90.html#a7d45a90ae2e900e10b3103b31408a4fa">fmfilename()</a>, <a class="el" href="namespacecc__init__runfm.html#ae7a086f827e8a3f8cf741ba74139e755">cc_init_runfm::fuelspecies</a>, <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>, <a class="el" href="namespacecc__init__runfm.html#ad32e0365fe78e5d8489bd0930186be52">cc_init_runfm::initialstartprofile</a>, <a class="el" href="namespacecc__init__runfm.html#aa7017a3e78bf00c2de38741cff70c751">cc_init_runfm::negr</a>, <a class="el" href="namespacecc__init__runfm.html#a753bfd3a069674301f897e7667c7be7b">cc_init_runfm::np</a>, <a class="el" href="namespacecc__init__runfm.html#afc142a3bc57b2d500ca40876e3f0ca6a">cc_init_runfm::nphi</a>, <a class="el" href="namespacecc__init__runfm.html#ad4206023a37a3ea65b3209c8e3617a80">cc_init_runfm::ntu</a>, <a class="el" href="namespacecc__init__runfm.html#a101a4e2905cdc77fda0df982f3527e7c">cc_init_runfm::p</a>, <a class="el" href="namespacecc__init__runfm.html#aeafb6001cf967861b1fd5a0f67bbe85e">cc_init_runfm::phi</a>, <a class="el" href="namespacecc__pre__flamelets.html#ac96a67ad06f796521094dd7c468f9103">printfminput()</a>, <a class="el" href="namespacecc__pre__flamelets.html#a4f86201e7273e21b78ec9eceb1d0de3d">printglobalreaction()</a>, <a class="el" href="namespacecc__pre__flamelets.html#ab7bd6c1e24a6641ec777cbcda81e19b3">readallprofiles()</a>, <a class="el" href="namespacecc__pre__flamelets.html#a1fe3f92fd00bbc6b098b62c07ff4b2d0">resize_data()</a>, and <a class="el" href="namespacecc__init__runfm.html#a1a5487ce4439a752ec7e9dcde847302d">cc_init_runfm::tu</a>.</p>
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecc__pre__flamelets_abb0c45a0ed37f0d8560b19fe426daa7d_cgraph.png" border="0" usemap="#namespacecc__pre__flamelets_abb0c45a0ed37f0d8560b19fe426daa7d_cgraph" alt=""/></div>
<map name="namespacecc__pre__flamelets_abb0c45a0ed37f0d8560b19fe426daa7d_cgraph" id="namespacecc__pre__flamelets_abb0c45a0ed37f0d8560b19fe426daa7d_cgraph">
<area shape="rect" id="node2" href="namespacecc__pre__flamelets.html#a4822a1ab31722db4950673576cc817b5" title="cc_pre_flamelets::calcexhaustgas" alt="" coords="214,5,434,32"/>
<area shape="rect" id="node3" href="namespacecc__pre__flamelets.html#a2f82066bdf91ec89b53235e158489c7c" title="cc_pre_flamelets::calcinitialmixture" alt="" coords="211,56,437,83"/>
<area shape="rect" id="node4" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="489,81,585,108"/>
<area shape="rect" id="node6" href="namespacecc__pre__flamelets.html#a149c8130c74bdf48263bfd8ebcd05415" title="cc_pre_flamelets::findstartprofile" alt="" coords="219,157,429,184"/>
<area shape="rect" id="node7" href="cc__pre__flamelets_8f90.html#a7d45a90ae2e900e10b3103b31408a4fa" title="fmfilename" alt="" coords="281,208,367,235"/>
<area shape="rect" id="node8" href="namespacecc__pre__flamelets.html#ac96a67ad06f796521094dd7c468f9103" title="cc_pre_flamelets::printfminput" alt="" coords="225,259,423,285"/>
<area shape="rect" id="node9" href="namespacecc__pre__flamelets.html#a4f86201e7273e21b78ec9eceb1d0de3d" title="cc_pre_flamelets::printglobalreaction" alt="" coords="207,309,441,336"/>
<area shape="rect" id="node10" href="namespacecc__pre__flamelets.html#ab7bd6c1e24a6641ec777cbcda81e19b3" title="cc_pre_flamelets::readallprofiles" alt="" coords="219,360,429,387"/>
<area shape="rect" id="node11" href="namespacecc__pre__flamelets.html#a1fe3f92fd00bbc6b098b62c07ff4b2d0" title="cc_pre_flamelets::resize_data" alt="" coords="226,411,422,437"/>
<area shape="rect" id="node5" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="633,74,764,115"/>
</map>
</div>

</div>
</div>
<a id="ac96a67ad06f796521094dd7c468f9103"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac96a67ad06f796521094dd7c468f9103">&#9670;&nbsp;</a></span>printfminput()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine cc_pre_flamelets::printfminput </td>
          <td>(</td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curEGR</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curPhi</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curTu</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curP</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(inout)&#160;</td>
          <td class="paramname"><em>curRunDir</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(inout)&#160;</td>
          <td class="paramname"><em>curInputFile</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacecc__init__runfm.html#abbe07cfecdce644d3c5a558a5995a49b">cc_init_runfm::allspecies</a>, <a class="el" href="namespacecc__init__runfm.html#ae7a086f827e8a3f8cf741ba74139e755">cc_init_runfm::fuelspecies</a>, <a class="el" href="namespacecc__pre__flamelets.html#a076045c2ce625abb9209f2eb6e9eb05e">globalreaction</a>, <a class="el" href="namespacecc__init__runfm.html#aab280a5b18dd4cfeb09a900541241103">cc_init_runfm::mechanismfile</a>, <a class="el" href="namespacecc__init__runfm.html#a2aa58ac2eca5914264b748b9b515b48e">cc_init_runfm::nfuelspecies</a>, <a class="el" href="namespacecc__init__runfm.html#a5563609500ba1e58fb921b1ef82ce00c">cc_init_runfm::noxidizerspecies</a>, <a class="el" href="namespacecc__init__runfm.html#a4385e887b1e4050e53d7ed9f264ba872">cc_init_runfm::nspecies</a>, <a class="el" href="namespacecc__init__runfm.html#a0c4c273d3952ccd2df11e3377bcf8894">cc_init_runfm::oxidizerspecies</a>, and <a class="el" href="namespacecc__init__runfm.html#a8e93828093f91b33fd8e25d0e961aa64">cc_init_runfm::x_un</a>.</p>
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecc__pre__flamelets_ac96a67ad06f796521094dd7c468f9103_icgraph.png" border="0" usemap="#namespacecc__pre__flamelets_ac96a67ad06f796521094dd7c468f9103_icgraph" alt=""/></div>
<map name="namespacecc__pre__flamelets_ac96a67ad06f796521094dd7c468f9103_icgraph" id="namespacecc__pre__flamelets_ac96a67ad06f796521094dd7c468f9103_icgraph">
<area shape="rect" id="node2" href="namespacecc__pre__flamelets.html#abb0c45a0ed37f0d8560b19fe426daa7d" title="cc_pre_flamelets::loop\l_premixed" alt="" coords="251,5,404,47"/>
</map>
</div>

</div>
</div>
<a id="a4f86201e7273e21b78ec9eceb1d0de3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f86201e7273e21b78ec9eceb1d0de3d">&#9670;&nbsp;</a></span>printglobalreaction()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine cc_pre_flamelets::printglobalreaction </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacecc__init__runfm.html#abbe07cfecdce644d3c5a558a5995a49b">cc_init_runfm::allspecies</a>, <a class="el" href="namespacecc__pre__flamelets.html#a076045c2ce625abb9209f2eb6e9eb05e">globalreaction</a>, <a class="el" href="namespacecc__init__runfm.html#af3d380e7b3076f7032ecba9dd3659272">cc_init_runfm::lst</a>, <a class="el" href="namespacecc__init__runfm.html#a55d71b087c4eec0c866104badb3192cb">cc_init_runfm::mw_0</a>, <a class="el" href="namespacecc__init__runfm.html#a8706da92c991ee9b38ad36c39655fe2e">cc_init_runfm::mw_1</a>, <a class="el" href="namespacecc__init__runfm.html#a4385e887b1e4050e53d7ed9f264ba872">cc_init_runfm::nspecies</a>, <a class="el" href="namespacecc__init__runfm.html#a5543e493fa7c1fd96a88c8ba0ef18085">cc_init_runfm::x_0</a>, and <a class="el" href="namespacecc__init__runfm.html#a0d8349d9086680792af136386c3d6703">cc_init_runfm::x_1</a>.</p>
<div id="dynsection-6" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-6-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-6-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-6-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecc__pre__flamelets_a4f86201e7273e21b78ec9eceb1d0de3d_icgraph.png" border="0" usemap="#namespacecc__pre__flamelets_a4f86201e7273e21b78ec9eceb1d0de3d_icgraph" alt=""/></div>
<map name="namespacecc__pre__flamelets_a4f86201e7273e21b78ec9eceb1d0de3d_icgraph" id="namespacecc__pre__flamelets_a4f86201e7273e21b78ec9eceb1d0de3d_icgraph">
<area shape="rect" id="node2" href="namespacecc__pre__flamelets.html#abb0c45a0ed37f0d8560b19fe426daa7d" title="cc_pre_flamelets::loop\l_premixed" alt="" coords="288,5,441,47"/>
</map>
</div>

</div>
</div>
<a id="ab7bd6c1e24a6641ec777cbcda81e19b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7bd6c1e24a6641ec777cbcda81e19b3">&#9670;&nbsp;</a></span>readallprofiles()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine cc_pre_flamelets::readallprofiles </td>
          <td>(</td>
          <td class="paramtype">real(wp), dimension(:,:), intent(inout), allocatable&#160;</td>
          <td class="paramname"><em>data_in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), dimension(:), intent(inout), allocatable&#160;</td>
          <td class="paramname"><em>files</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacecc__init__runfm.html#ae7a086f827e8a3f8cf741ba74139e755">cc_init_runfm::fuelspecies</a>, and <a class="el" href="namespacestring.html#aa5726d00395955c13ddc61faf55413f6">string::str_medium</a>.</p>
<div id="dynsection-7" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-7-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-7-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-7-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecc__pre__flamelets_ab7bd6c1e24a6641ec777cbcda81e19b3_icgraph.png" border="0" usemap="#namespacecc__pre__flamelets_ab7bd6c1e24a6641ec777cbcda81e19b3_icgraph" alt=""/></div>
<map name="namespacecc__pre__flamelets_ab7bd6c1e24a6641ec777cbcda81e19b3_icgraph" id="namespacecc__pre__flamelets_ab7bd6c1e24a6641ec777cbcda81e19b3_icgraph">
<area shape="rect" id="node2" href="namespacecc__pre__flamelets.html#abb0c45a0ed37f0d8560b19fe426daa7d" title="cc_pre_flamelets::loop\l_premixed" alt="" coords="263,5,416,47"/>
</map>
</div>

</div>
</div>
<a id="a1fe3f92fd00bbc6b098b62c07ff4b2d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1fe3f92fd00bbc6b098b62c07ff4b2d0">&#9670;&nbsp;</a></span>resize_data()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine cc_pre_flamelets::resize_data </td>
          <td>(</td>
          <td class="paramtype">real(wp), dimension(:,:), intent(inout), allocatable&#160;</td>
          <td class="paramname"><em>data_in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), dimension(:), intent(inout), allocatable&#160;</td>
          <td class="paramname"><em>files</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curPhi</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curEGR</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curTu</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curP</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>curFile</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-8" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-8-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-8-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-8-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecc__pre__flamelets_a1fe3f92fd00bbc6b098b62c07ff4b2d0_icgraph.png" border="0" usemap="#namespacecc__pre__flamelets_a1fe3f92fd00bbc6b098b62c07ff4b2d0_icgraph" alt=""/></div>
<map name="namespacecc__pre__flamelets_a1fe3f92fd00bbc6b098b62c07ff4b2d0_icgraph" id="namespacecc__pre__flamelets_a1fe3f92fd00bbc6b098b62c07ff4b2d0_icgraph">
<area shape="rect" id="node2" href="namespacecc__pre__flamelets.html#abb0c45a0ed37f0d8560b19fe426daa7d" title="cc_pre_flamelets::loop\l_premixed" alt="" coords="249,5,403,47"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a076045c2ce625abb9209f2eb6e9eb05e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a076045c2ce625abb9209f2eb6e9eb05e">&#9670;&nbsp;</a></span>globalreaction</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">character(len=str_long) cc_pre_flamelets::globalreaction</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:50 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
